import { CrudMenuPosition } from '../types';
import type { EntityManagement } from './entities';
/**
 * Default crud buttons for Entity Management screen
 */
export declare const crudButtonsTemplate: (prefix: any, position: CrudMenuPosition) => import("@microsoft/fast-element").ViewTemplate<EntityManagement, any>;
/**
 * Default header crud buttons area for Entity Management screen
 * @internal
 */
export declare const headerCrudAreaTemplate: (prefix: any) => import("@microsoft/fast-element").ViewTemplate<EntityManagement, any>;
/**
 * Default header for Entity Management screen
 * @internal
 */
export declare const defaultHeader: (prefix: any) => import("@microsoft/fast-element").ViewTemplate<EntityManagement, any>;
/**
 * Header with search-bar for Entity Management screen
 * @internal
 */
export declare const searchBarHeader: (prefix: any) => import("@microsoft/fast-element").ViewTemplate<EntityManagement, any>;
/**
 * Defines the html of the entity component as a ViewTemplate object
 * @typeParam EntityManagement - the {@link EntityManagement | class} the template is defined for
 */
export declare const getPrefixedEntities: (prefix: any) => import("@microsoft/fast-element").ViewTemplate<EntityManagement, any>;
/** @internal */
export declare const template: import("@microsoft/fast-element").ViewTemplate<EntityManagement, any>;
//# sourceMappingURL=entities.template.d.ts.map