import { UiSchema } from '@genesislcap/foundation-forms';
export declare const RESOURCE_NAME: import("@microsoft/fast-foundation").InterfaceSymbol<string>;
export declare const ENTITY_NAME: import("@microsoft/fast-foundation").InterfaceSymbol<string>;
export type AdditionalEntry = string | UiSchema | {
    type: 'Control';
    scope: string;
    label?: string;
    options?: {
        readonly?: boolean;
        hidden?: boolean;
        allOptionsResourceName?: string;
        valueField?: string;
        labelField?: string;
    };
};
export declare enum ActionsMenuStyle {
    Default = "default",
    ActionsVertical = "actions-vertical",
    ActionsHorizontal = "actions-horizontal"
}
export declare enum CrudMenuPosition {
    Column = "column",
    Top = "top",
    Bottom = "bottom",
    Action = "action",
    None = "none"
}
export declare enum CrudAction {
    Create = "create",
    Read = "read",
    Update = "update",
    Delete = "delete"
}
export declare enum ModalFormType {
    Create = "create",
    Read = "read",
    Update = "update"
}
//# sourceMappingURL=types.d.ts.map